# demonstrate_need_for_raw_string_regex.py
# Show why raw strings are preferred for Python regular expressions.

import re


def main():
    if re.search('end of string$', '1234567890end of string'):
        print('Found a match.')
    else:
        print('No match found.')

    if re.search('\d{3}-\d{3}-\d{4}', 'The phone number of the office is 555-555-5555.'):
        print('Found a match.')
    else:
        print('No match found.')

    if re.search('\\d{3}-\\d{3}-\\d{4}', 'The phone number of the office is 555-555-5555.'):
        print('Found a match.')
    else:
        print('No match found.')

    if re.search(r'\d{3}-\d{3}-\d{4}', 'The phone number of the office is 555-555-5555.'):
        print('Found a match.')
    else:
        print('No match found.')

    if re.search(r'end of string$', '1234567890end of string'):
        print('Found a match.')
    else:
        print('No match found.')



main()
