# printing_python_3_strings.py
# a program that demonstrates printing of various Python 3 strings


def main():
    # regular text
    print('regular text:', 'AbCdEfG')

    # embedded apostrophe
    print('embedded apostrophe1:', "Don't worry. Be Happy.")
    print('embedded apostrophe2:', 'Don\'t Worry. Be Happy.')

    # embedded quote mark
    print('embedded quote mark1:', 'We are looking for "closure" on this terrible issue.')
    print('embedded quote mark2:', "We are looking for \"closure\" on this terrible issue.")

    # ending lines in Python
    print('implicit line ending:', 'How now brown cow?')
    print('explicit line ending:', 'How now brown cow?', end='\n')
    print('explicit line ending with CRLF:', 'How now brown cow?', end='\r\n')

    # tabbing
    print('tabs entered from keyboard:', 'first second  third   fourth')
    print('explicit tabs using escape sequence:', 'first\tsecond\tthird\tfourth')

    # backslash
    print('backslash:', '\\ is a backslash.')

    # unicode symbols not on keyboard
    print('unicode symbol not on keyboard:', '\u798F is the character Fu, meaning fortune or good luck.')


main()
